<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionQuestObjectiveData Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/dce/a06658.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionQuestObjectiveData Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:adaa42cf618a9b0131a057c7825895eb7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#adaa42cf618a9b0131a057c7825895eb7">SetObjectiveIndex</a> (int index)</td></tr>
<tr class="separator:adaa42cf618a9b0131a057c7825895eb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb6c72ff49382c0ab92afa8d6478c93d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#aeb6c72ff49382c0ab92afa8d6478c93d">GetObjectiveIndex</a> ()</td></tr>
<tr class="separator:aeb6c72ff49382c0ab92afa8d6478c93d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68e03878a221cbce69cfe5559be1d167"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a68e03878a221cbce69cfe5559be1d167">SetObjectiveType</a> (int type)</td></tr>
<tr class="separator:a68e03878a221cbce69cfe5559be1d167"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a327e8ad7607ea695f241d63b2559fb46"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a327e8ad7607ea695f241d63b2559fb46">GetObjectiveType</a> ()</td></tr>
<tr class="separator:a327e8ad7607ea695f241d63b2559fb46"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac734e16f17c7130d3b5a808e81f9325e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#ac734e16f17c7130d3b5a808e81f9325e">SetCompleted</a> (bool state)</td></tr>
<tr class="separator:ac734e16f17c7130d3b5a808e81f9325e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad2780dbcddc91df866a0452dc38ce614"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#ad2780dbcddc91df866a0452dc38ce614">IsCompleted</a> ()</td></tr>
<tr class="separator:ad2780dbcddc91df866a0452dc38ce614"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94b7bbc81306eaa695a8b20e30734fef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a94b7bbc81306eaa695a8b20e30734fef">SetActive</a> (bool state)</td></tr>
<tr class="separator:a94b7bbc81306eaa695a8b20e30734fef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf7e08e1c58934132aebc2a95dbd72f9"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#abf7e08e1c58934132aebc2a95dbd72f9">IsActive</a> ()</td></tr>
<tr class="separator:abf7e08e1c58934132aebc2a95dbd72f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6378dc47174f50229ad4ee5cd573d7c2"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a6378dc47174f50229ad4ee5cd573d7c2">SetObjectiveAmount</a> (int count)</td></tr>
<tr class="separator:a6378dc47174f50229ad4ee5cd573d7c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ef94bc2e0aa9e8bf78068cc1d13f9a2"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a2ef94bc2e0aa9e8bf78068cc1d13f9a2">GetObjectiveAmount</a> ()</td></tr>
<tr class="separator:a2ef94bc2e0aa9e8bf78068cc1d13f9a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a394cfa8b50d13385b1e25fa0bbd22918"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a394cfa8b50d13385b1e25fa0bbd22918">SetObjectiveCount</a> (int count)</td></tr>
<tr class="separator:a394cfa8b50d13385b1e25fa0bbd22918"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8078c47c69c3a967c24c93cae8056b6b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a8078c47c69c3a967c24c93cae8056b6b">GetObjectiveCount</a> ()</td></tr>
<tr class="separator:a8078c47c69c3a967c24c93cae8056b6b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65722e081c6053c210de7f902a8a4635"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a65722e081c6053c210de7f902a8a4635">SetObjectivePosition</a> (vector pos)</td></tr>
<tr class="separator:a65722e081c6053c210de7f902a8a4635"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b6f28a56be53cdf63a36fd420da72f3"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a4b6f28a56be53cdf63a36fd420da72f3">GetObjectivePosition</a> ()</td></tr>
<tr class="separator:a4b6f28a56be53cdf63a36fd420da72f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a77c7031a475a591820fc6480c29a052d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a77c7031a475a591820fc6480c29a052d">SetActionState</a> (bool state)</td></tr>
<tr class="separator:a77c7031a475a591820fc6480c29a052d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf4024d77b099a6f7486520788115dda"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#aaf4024d77b099a6f7486520788115dda">GetActionState</a> ()</td></tr>
<tr class="separator:aaf4024d77b099a6f7486520788115dda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4a26ab07e956dabbd81b2ec6ba4ae83"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#ae4a26ab07e956dabbd81b2ec6ba4ae83">SetTimeLimit</a> (int time)</td></tr>
<tr class="separator:ae4a26ab07e956dabbd81b2ec6ba4ae83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a356b97e394ab88e949d84a61b12fa5f3"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a356b97e394ab88e949d84a61b12fa5f3">GetTimeLimit</a> ()</td></tr>
<tr class="separator:a356b97e394ab88e949d84a61b12fa5f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acda02101c53d325b9184299d2f9b484d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#acda02101c53d325b9184299d2f9b484d">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:acda02101c53d325b9184299d2f9b484d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af74d4424dbe688e2c498b65dec8fde23"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#af74d4424dbe688e2c498b65dec8fde23">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:af74d4424dbe688e2c498b65dec8fde23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacb690b450b13883db0ef680c615946c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#aacb690b450b13883db0ef680c615946c">QuestDebug</a> ()</td></tr>
<tr class="separator:aacb690b450b13883db0ef680c615946c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a907d094fdb12216792750129369adaa7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a907d094fdb12216792750129369adaa7">ObjectiveIndex</a> = -1</td></tr>
<tr class="separator:a907d094fdb12216792750129369adaa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad31e949f3acd92b1af27aa8aa7165168"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#ad31e949f3acd92b1af27aa8aa7165168">ObjectiveType</a> = ExpansionQuestObjectiveType.NONE</td></tr>
<tr class="separator:ad31e949f3acd92b1af27aa8aa7165168"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62c284bb2af938eac0d908a84e630974"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a62c284bb2af938eac0d908a84e630974">IsCompleted</a> = false</td></tr>
<tr class="separator:a62c284bb2af938eac0d908a84e630974"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a181c627ecf06bed82f3c86beee7b343f"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a181c627ecf06bed82f3c86beee7b343f">IsActive</a> = false</td></tr>
<tr class="separator:a181c627ecf06bed82f3c86beee7b343f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43ac01355c62372b97474a6b07529f1b"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a43ac01355c62372b97474a6b07529f1b">ObjectiveAmount</a> = -1</td></tr>
<tr class="separator:a43ac01355c62372b97474a6b07529f1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0839d9f94afb32352c5ee188183c1562"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a0839d9f94afb32352c5ee188183c1562">ObjectiveCount</a> = -1</td></tr>
<tr class="separator:a0839d9f94afb32352c5ee188183c1562"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e28624c7e47e7b40b121c1a3b2df776"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a8e28624c7e47e7b40b121c1a3b2df776">ObjectivePosition</a> = vector.Zero</td></tr>
<tr class="separator:a8e28624c7e47e7b40b121c1a3b2df776"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bf4a58a5ba7a2a882628eb06c16db2a"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#a4bf4a58a5ba7a2a882628eb06c16db2a">ActionState</a> = false</td></tr>
<tr class="separator:a4bf4a58a5ba7a2a882628eb06c16db2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae00b6ece5fc15163678e501dc966c8b0"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/dce/a06658.html#ae00b6ece5fc15163678e501dc966c8b0">TimeLimit</a> = -1</td></tr>
<tr class="separator:ae00b6ece5fc15163678e501dc966c8b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00033">33</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aaf4024d77b099a6f7486520788115dda" name="aaf4024d77b099a6f7486520788115dda"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaf4024d77b099a6f7486520788115dda">&#9670;&#160;</a></span>GetActionState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveData::GetActionState </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00121">121</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a2ef94bc2e0aa9e8bf78068cc1d13f9a2" name="a2ef94bc2e0aa9e8bf78068cc1d13f9a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ef94bc2e0aa9e8bf78068cc1d13f9a2">&#9670;&#160;</a></span>GetObjectiveAmount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::GetObjectiveAmount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00091">91</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a8078c47c69c3a967c24c93cae8056b6b" name="a8078c47c69c3a967c24c93cae8056b6b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8078c47c69c3a967c24c93cae8056b6b">&#9670;&#160;</a></span>GetObjectiveCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::GetObjectiveCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00101">101</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="aeb6c72ff49382c0ab92afa8d6478c93d" name="aeb6c72ff49382c0ab92afa8d6478c93d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeb6c72ff49382c0ab92afa8d6478c93d">&#9670;&#160;</a></span>GetObjectiveIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::GetObjectiveIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00051">51</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a4b6f28a56be53cdf63a36fd420da72f3" name="a4b6f28a56be53cdf63a36fd420da72f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4b6f28a56be53cdf63a36fd420da72f3">&#9670;&#160;</a></span>GetObjectivePosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionQuestObjectiveData::GetObjectivePosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00111">111</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a327e8ad7607ea695f241d63b2559fb46" name="a327e8ad7607ea695f241d63b2559fb46"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a327e8ad7607ea695f241d63b2559fb46">&#9670;&#160;</a></span>GetObjectiveType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::GetObjectiveType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00061">61</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a356b97e394ab88e949d84a61b12fa5f3" name="a356b97e394ab88e949d84a61b12fa5f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a356b97e394ab88e949d84a61b12fa5f3">&#9670;&#160;</a></span>GetTimeLimit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::GetTimeLimit </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00131">131</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="abf7e08e1c58934132aebc2a95dbd72f9" name="abf7e08e1c58934132aebc2a95dbd72f9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abf7e08e1c58934132aebc2a95dbd72f9">&#9670;&#160;</a></span>IsActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveData::IsActive </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00081">81</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="ad2780dbcddc91df866a0452dc38ce614" name="ad2780dbcddc91df866a0452dc38ce614"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad2780dbcddc91df866a0452dc38ce614">&#9670;&#160;</a></span>IsCompleted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveData::IsCompleted </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00071">71</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="af74d4424dbe688e2c498b65dec8fde23" name="af74d4424dbe688e2c498b65dec8fde23"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af74d4424dbe688e2c498b65dec8fde23">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveData::OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00149">149</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="acda02101c53d325b9184299d2f9b484d" name="acda02101c53d325b9184299d2f9b484d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acda02101c53d325b9184299d2f9b484d">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00136">136</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="aacb690b450b13883db0ef680c615946c" name="aacb690b450b13883db0ef680c615946c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacb690b450b13883db0ef680c615946c">&#9670;&#160;</a></span>QuestDebug()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::QuestDebug </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00181">181</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a77c7031a475a591820fc6480c29a052d" name="a77c7031a475a591820fc6480c29a052d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a77c7031a475a591820fc6480c29a052d">&#9670;&#160;</a></span>SetActionState()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetActionState </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00116">116</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a94b7bbc81306eaa695a8b20e30734fef" name="a94b7bbc81306eaa695a8b20e30734fef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a94b7bbc81306eaa695a8b20e30734fef">&#9670;&#160;</a></span>SetActive()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetActive </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00076">76</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="ac734e16f17c7130d3b5a808e81f9325e" name="ac734e16f17c7130d3b5a808e81f9325e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac734e16f17c7130d3b5a808e81f9325e">&#9670;&#160;</a></span>SetCompleted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetCompleted </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>state</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00066">66</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a6378dc47174f50229ad4ee5cd573d7c2" name="a6378dc47174f50229ad4ee5cd573d7c2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6378dc47174f50229ad4ee5cd573d7c2">&#9670;&#160;</a></span>SetObjectiveAmount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetObjectiveAmount </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00086">86</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a394cfa8b50d13385b1e25fa0bbd22918" name="a394cfa8b50d13385b1e25fa0bbd22918"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a394cfa8b50d13385b1e25fa0bbd22918">&#9670;&#160;</a></span>SetObjectiveCount()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetObjectiveCount </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>count</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00096">96</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="adaa42cf618a9b0131a057c7825895eb7" name="adaa42cf618a9b0131a057c7825895eb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adaa42cf618a9b0131a057c7825895eb7">&#9670;&#160;</a></span>SetObjectiveIndex()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetObjectiveIndex </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00046">46</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a65722e081c6053c210de7f902a8a4635" name="a65722e081c6053c210de7f902a8a4635"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65722e081c6053c210de7f902a8a4635">&#9670;&#160;</a></span>SetObjectivePosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetObjectivePosition </td>
          <td>(</td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>pos</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00106">106</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a68e03878a221cbce69cfe5559be1d167" name="a68e03878a221cbce69cfe5559be1d167"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68e03878a221cbce69cfe5559be1d167">&#9670;&#160;</a></span>SetObjectiveType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetObjectiveType </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00056">56</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="ae4a26ab07e956dabbd81b2ec6ba4ae83" name="ae4a26ab07e956dabbd81b2ec6ba4ae83"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae4a26ab07e956dabbd81b2ec6ba4ae83">&#9670;&#160;</a></span>SetTimeLimit()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionQuestObjectiveData::SetTimeLimit </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>time</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00126">126</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a4bf4a58a5ba7a2a882628eb06c16db2a" name="a4bf4a58a5ba7a2a882628eb06c16db2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bf4a58a5ba7a2a882628eb06c16db2a">&#9670;&#160;</a></span>ActionState</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveData::ActionState = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00043">43</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a181c627ecf06bed82f3c86beee7b343f" name="a181c627ecf06bed82f3c86beee7b343f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a181c627ecf06bed82f3c86beee7b343f">&#9670;&#160;</a></span>IsActive</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveData::IsActive = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00038">38</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a62c284bb2af938eac0d908a84e630974" name="a62c284bb2af938eac0d908a84e630974"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62c284bb2af938eac0d908a84e630974">&#9670;&#160;</a></span>IsCompleted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool ExpansionQuestObjectiveData::IsCompleted = false</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00037">37</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a43ac01355c62372b97474a6b07529f1b" name="a43ac01355c62372b97474a6b07529f1b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43ac01355c62372b97474a6b07529f1b">&#9670;&#160;</a></span>ObjectiveAmount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::ObjectiveAmount = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00039">39</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a0839d9f94afb32352c5ee188183c1562" name="a0839d9f94afb32352c5ee188183c1562"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0839d9f94afb32352c5ee188183c1562">&#9670;&#160;</a></span>ObjectiveCount</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::ObjectiveCount = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00040">40</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a907d094fdb12216792750129369adaa7" name="a907d094fdb12216792750129369adaa7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a907d094fdb12216792750129369adaa7">&#9670;&#160;</a></span>ObjectiveIndex</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::ObjectiveIndex = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00035">35</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="a8e28624c7e47e7b40b121c1a3b2df776" name="a8e28624c7e47e7b40b121c1a3b2df776"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e28624c7e47e7b40b121c1a3b2df776">&#9670;&#160;</a></span>ObjectivePosition</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionQuestObjectiveData::ObjectivePosition = vector.Zero</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00041">41</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="ad31e949f3acd92b1af27aa8aa7165168" name="ad31e949f3acd92b1af27aa8aa7165168"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad31e949f3acd92b1af27aa8aa7165168">&#9670;&#160;</a></span>ObjectiveType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::ObjectiveType = ExpansionQuestObjectiveType.NONE</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00036">36</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<a id="ae00b6ece5fc15163678e501dc966c8b0" name="ae00b6ece5fc15163678e501dc966c8b0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae00b6ece5fc15163678e501dc966c8b0">&#9670;&#160;</a></span>TimeLimit</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int ExpansionQuestObjectiveData::TimeLimit = -1</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../de/d59/a02219_source.html#l00044">44</a> of file <a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/systems/quests/<a class="el" href="../../de/d59/a02219_source.html">expansionquestobjectivedata.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dc/dce/a06658.html">ExpansionQuestObjectiveData</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
